package com.xwkj.jcjcgz.mvp.model.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ChannelEntity {
    private int code;
    private boolean success;
    private List<Task> data;
    private String msg;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public List<Task> getData() {
        return data;
    }

    public void setData(List<Task> data) {
        this.data = data;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static class Task implements Serializable {
        private ArrayList<Task> children;
        private String code;
        private String dictKey;
        private String dictValue;
        private String hasChildren;
        private String isDeleted;
        private String isSealed;
        private int num;
        private String parentId;
        private String parentName;
        private String remark;
        private String sort;
        private String tenantId;

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getDictKey() {
            return dictKey;
        }

        public void setDictKey(String dictKey) {
            this.dictKey = dictKey;
        }

        public String getDictValue() {
            return dictValue;
        }

        public void setDictValue(String dictValue) {
            this.dictValue = dictValue;
        }

        public String getHasChildren() {
            return hasChildren;
        }

        public void setHasChildren(String hasChildren) {
            this.hasChildren = hasChildren;
        }

        public String getIsDeleted() {
            return isDeleted;
        }

        public void setIsDeleted(String isDeleted) {
            this.isDeleted = isDeleted;
        }

        public String getIsSealed() {
            return isSealed;
        }

        public void setIsSealed(String isSealed) {
            this.isSealed = isSealed;
        }

        public int getNum() {
            return num;
        }

        public void setNum(int num) {
            this.num = num;
        }

        public String getParentId() {
            return parentId;
        }

        public void setParentId(String parentId) {
            this.parentId = parentId;
        }

        public String getParentName() {
            return parentName;
        }

        public void setParentName(String parentName) {
            this.parentName = parentName;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public String getSort() {
            return sort;
        }

        public void setSort(String sort) {
            this.sort = sort;
        }

        public String getTenantId() {
            return tenantId;
        }

        public void setTenantId(String tenantId) {
            this.tenantId = tenantId;
        }

        public ArrayList<Task> getChildren() {
            return children;
        }

        public void setChildren(ArrayList<Task> children) {
            this.children = children;
        }
    }

}
